com.r3corda.contracts.asset / FungibleAssetState

# FungibleAssetState

`interface FungibleAssetState<T, I> : OwnableState`

Common elements of cash contract states.

### Properties

issuanceDef | `abstract val issuanceDef: I`
productAmount | `abstract val productAmount: Amount<T>`

### Inherited Properties

owner | `abstract val owner: PublicKey` There must be a MoveCommand signed by this key to claim the amount

### Functions

move | `abstract fun move(newAmount: Amount<T>, newOwner: PublicKey): FungibleAssetState<T, I>`

### Inherited Functions

withNewOwner | `abstract fun withNewOwner(newOwner: PublicKey): <ERROR CLASS><CommandData, OwnableState>` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone

### Extension Functions

hash | `fun ContractState.hash(): SecureHash` Returns the SHA-256 hash of the serialised contents of this state (not cached)
with notary | `infix fun ContractState.with notary(notary: Party): TransactionState<ContractState>`

### Inheritors

State | `interface State<T> : FungibleAssetState<T, Issued<T>>` A state representing a cash claim against some party
State | `data class State<P> : FungibleAssetState<P, IssuanceDefinition<P>>, BilateralNettableState<State<P>>` A state representing the obligation of one party (obligor) to deliver a specified number of units of an underlying asset (described as issuanceDef.acceptableIssuedProducts) to the beneficiary no later than the specified time.